onEvent('recipes', event => {

    //Ores

    //Iron Ore crushing
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("kubejs:iron_dust", 3))
        .produceItem(Item.of("kubejs:gold_dust"))
        .requireItem(Item.of("minecraft:iron_ore"))
        .requireEnergyPerTick(5)

    //Gold Ore crushing
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("kubejs:gold_dust", 3))
        .produceItem(Item.of("kubejs:iron_dust"))
        .requireItem(Item.of("minecraft:gold_ore"))
        .requireEnergyPerTick(5)

    //Coal Ore crushing
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("kubejs:coal_dust", 3))
        .requireItem(Item.of("minecraft:coal_ore"))
        .requireEnergyPerTick(5)

    //Diamond Ore crushing
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("kubejs:diamond_dust", 3))
        .produceItem(Item.of("kubejs:emerald_dust"))
        .requireItem(Item.of("minecraft:diamond_ore"))
        .requireEnergyPerTick(5)

    //Emerald Ore crushing
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("kubejs:emerald_dust", 3))
        .produceItem(Item.of("kubejs:diamond_dust"))
        .requireItem(Item.of("minecraft:emerald_ore"))
        .requireEnergyPerTick(5)

    //Redstone Ore crushing
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("minecraft:redstone", 9))
        .produceItem(Item.of("kubejs:lapis_dust", 2))
        .requireItem(Item.of("minecraft:redstone_ore"))
        .requireEnergyPerTick(5)

    //Lapis Ore crushing
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("kubejs:lapis_dust", 9))
        .produceItem(Item.of("minecraft:redstone", 2))
        .requireItem(Item.of("minecraft:lapis_ore"))
        .requireEnergyPerTick(5)

    //Nether Quartz Ore crushing
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("kubejs:quartz_dust", 3))
        .requireItem(Item.of("minecraft:nether_quartz_ore"))
        .requireEnergyPerTick(5)

    //Nether Gold Ore crushing
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("kubejs:gold_dust", 2))
        .produceItem(Item.of("kubejs:quartz_dust"))
        .requireItem(Item.of("minecraft:nether_gold_ore"))
        .requireEnergyPerTick(5)

    //Ancient Debris crushing
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("kubejs:ancient_debris_dust", 6))
        .produceItem(Item.of("kubejs:quartz_dust"))
        .requireItem(Item.of("minecraft:ancient_debris"))
        .requireEnergyPerTick(5)

    //Aquamarine Shale crushing
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("kubejs:aquamarine_dust", 3))
        .requireItem(Item.of("astralsorcery:aquamarine_sand_ore"))
        .requireEnergyPerTick(5)

    //Starmetal Ore crushing
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("astralsorcery:stardust", 3))
        .produceItem(Item.of("kubejs:aquamarine_dust"))
        .requireItem(Item.of("astralsorcery:starmetal_ore"))
        .requireEnergyPerTick(5)
    


    //Materials

    //Iron Dust from Ingot
    event.recipes.custommachinery.custom_machine("modpack:crusher", 50)
        .produceItem(Item.of("kubejs:iron_dust"))
        .requireItem(Item.of("minecraft:iron_ingot"))
        .requireEnergyPerTick(5)

    //Gold Dust from Ingot
    event.recipes.custommachinery.custom_machine("modpack:crusher", 50)
        .produceItem(Item.of("kubejs:gold_dust"))
        .requireItem(Item.of("minecraft:gold_ingot"))
        .requireEnergyPerTick(5)

    //Coal Dust from Gem
    event.recipes.custommachinery.custom_machine("modpack:crusher", 50)
        .produceItem(Item.of("kubejs:coal_dust"))
        .requireItem(Item.of("minecraft:coal"))
        .requireEnergyPerTick(5)

    //Diamond Dust from Gem
    event.recipes.custommachinery.custom_machine("modpack:crusher", 50)
        .produceItem(Item.of("kubejs:diamond_dust"))
        .requireItem(Item.of("minecraft:diamond"))
        .requireEnergyPerTick(5)

    //Emerald Dust from Gem
    event.recipes.custommachinery.custom_machine("modpack:crusher", 50)
        .produceItem(Item.of("kubejs:emerald_dust"))
        .requireItem(Item.of("minecraft:emerald"))
        .requireEnergyPerTick(5)

    //Lapis Dust from Gem
    event.recipes.custommachinery.custom_machine("modpack:crusher", 50)
        .produceItem(Item.of("kubejs:lapis_dust"))
        .requireItem(Item.of("minecraft:lapis_lazuli"))
        .requireEnergyPerTick(5)

    //Quartz Dust from Gem
    event.recipes.custommachinery.custom_machine("modpack:crusher", 50)
        .produceItem(Item.of("kubejs:quartz_dust"))
        .requireItem(Item.of("minecraft:quartz"))
        .requireEnergyPerTick(5)

    //Netherite Dust from Scrap
    event.recipes.custommachinery.custom_machine("modpack:crusher", 50)
        .produceItem(Item.of("kubejs:ancient_debris_dust"))
        .requireItem(Item.of("minecraft:netherite_scrap"))
        .requireEnergyPerTick(5)

    //Aquamarine Dust from Gem
    event.recipes.custommachinery.custom_machine("modpack:crusher", 50)
        .produceItem(Item.of("kubejs:aquamarine_dust"))
        .requireItem(Item.of("astralsorcery:aquamarine"))
        .requireEnergyPerTick(5)

    //Stardust from Ingot
    event.recipes.custommachinery.custom_machine("modpack:crusher", 50)
        .produceItem(Item.of("astralsorcery:stardust"))
        .requireItem(Item.of("astralsorcery:starmetal_ingot"))
        .requireEnergyPerTick(5)

    //Rock Crystal Dust from Gem
    event.recipes.custommachinery.custom_machine("modpack:crusher", 50)
        .produceItem(Item.of("kubejs:rock_crystal_dust"))
        .requireItem(Item.of("astralsorcery:rock_crystal"))
        .requireEnergyPerTick(5)

    //Glass Dust from Block
    event.recipes.custommachinery.custom_machine("modpack:crusher", 200)
        .produceItem(Item.of("kubejs:glass_dust", 4))
        .requireItem(Item.of("minecraft:glass"))
        .requireEnergyPerTick(5)

    //Obsidian Dust from Block
    event.recipes.custommachinery.custom_machine("modpack:crusher", 200)
        .produceItem(Item.of("kubejs:obsidian_dust", 8))
        .requireItem(Item.of("minecraft:obsidian"))
        .requireEnergyPerTick(5)

    //Ender Dust from Pearl
    event.recipes.custommachinery.custom_machine("modpack:crusher", 200)
        .produceItem(Item.of("kubejs:ender_dust", 8))
        .requireItem(Item.of("minecraft:ender_pearl"))
        .requireEnergyPerTick(5)

    //Prismarine Crystals from Shard
    event.recipes.custommachinery.custom_machine("modpack:crusher", 50)
        .produceItem(Item.of("minecraft:prismarine_crystals"))
        .requireItem(Item.of("minecraft:prismarine_shard"))
        .requireEnergyPerTick(5)



    //Misc

    //Black Dye from Sooty Marble
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("minecraft:black_dye", 8))
        .requireItem(Item.of("astralsorcery:black_marble_raw"))
        .requireEnergyPerTick(5)
    
    //Bone Meal
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("minecraft:bone_meal", 4))
        .requireItem(Item.of("minecraft:bone"))
        .requireEnergyPerTick(5)
    
    //String from Wool
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("minecraft:string", 4))
        .requireItemTag('#minecraft:wool', 1)
        .requireEnergyPerTick(5)
    
    //Bricks block decompression
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("minecraft:brick", 4))
        .requireItem(Item.of("minecraft:bricks"))
        .requireEnergyPerTick(5)
    
    //Nether Bricks block decompression
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("minecraft:nether_brick", 4))
        .requireItem(Item.of("minecraft:nether_bricks"))
        .requireEnergyPerTick(5)

    //Nether Quartz block decompression
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("minecraft:quartz", 4))
        .requireItem(Item.of("minecraft:quartz_block"))
        .requireEnergyPerTick(5)

    //Glowstone block decompression
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("minecraft:glowstone_dust", 4))
        .requireItem(Item.of("minecraft:glowstone"))
        .requireEnergyPerTick(5)

    //Blaze Powder
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("minecraft:blaze_powder", 3))
        .requireItem(Item.of("minecraft:blaze_rod"))
        .requireEnergyPerTick(5)

    //Flint
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("minecraft:flint", 3))
        .requireItem(Item.of("minecraft:gravel"))
        .requireEnergyPerTick(5)

    //Clay block decompression
    event.recipes.custommachinery.custom_machine("modpack:crusher", 100)
        .produceItem(Item.of("minecraft:clay_ball", 4))
        .requireItem(Item.of("minecraft:clay"))
        .requireEnergyPerTick(5)

})